# Namespace: internal

## Enumerations

- [RefundReason](../enums/internal-16.RefundReason.md)

## Classes

- [AdminPostPaymentRefundsReq](../classes/internal-16.AdminPostPaymentRefundsReq.md)
- [GetPaymentsParams](../classes/internal-16.GetPaymentsParams.md)

## Type Aliases

### AdminPaymentRes

Ƭ **AdminPaymentRes**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `payment` | [`Payment`](../classes/internal.Payment.md) |

#### Defined in

medusa/dist/api/routes/admin/payments/index.d.ts:6

___

### AdminRefundRes

Ƭ **AdminRefundRes**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `refund` | [`Refund`](../classes/internal.Refund.md) |

#### Defined in

medusa/dist/api/routes/admin/payments/index.d.ts:9
